\begin{tabular}{| c | c | c | p{0.32\linewidth} || c | c |}
    \hline
    \multicolumn{4}{| c ||}{\textbf{Current State}} &
        \multicolumn{2}{c |}{\textbf{Next State}}\\
    \hline
    \textbf{State} & \textbf{Terminal/Error Cond.} & \textbf{Behaviour} &
    \textbf{Description} & \textbf{Initial Cond.} & \textbf{State} \\
    \hline\hline
    %{State}{Description}[Other next states]{Next state}[Number of next states]
    \SBrow{1}{Idle}{2}
    \SBrow{2}{Generate turn parameters}{3}
    \SBrow{3}{Turn}[1]{4}
    \SBrow{4}{Save time}{5}
    \SBrow{5}{Drive straight}[1]{6}
    \SBrow{6}{Approach black spot}[1]{7}
    \SBrow{7}[4]{Save time}{8}
    \SBrow{8}{Paint}{1}
    % $\state{3}$ & $\fter{3}=TRUE$ & $\B{3}$ &
    % Perform turn in place
		% & $\fini{4}=TRUE$ & $\state{4}$ \\
    % \hline
    % $\state{4}$ & $\fter{4}=TRUE$ & $\B{4}$ &
    % Save the current time
		% & $\fini{5}=TRUE$ & $\state{5}$ \\
    % \hline \def\outputs{1}
    % \multirow{2}{*}{$\state{5}$} & \multirow{2}{*}{$\fter{5}=TRUE$} &
    % \multirow{2}{*}{$\B{5}$} & \multirow{2}{*}{
    % Drive straight
    % } & $\fini{5,6}=TRUE$ & $\state{6}$ \\ \cline{5-6}
    % & & & & $\fini{5,1}=TRUE$ & $\state{1}$ \\ \hline
\end{tabular}